Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 777435 - sys-devel/slibtool: keywording
Summary: sys-devel/slibtool: keywording
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Felix Janda
URL:
Whiteboard:
Keywords: CC-ARCHES
Depends on:
Blocks:
 
Reported: 2021-03-21 00:19 UTC by Sam James
Modified: 2021-09-21 12:41 UTC (History)
4 users (show)

See Also:
Package list:
sys-devel/slibtool ~alpha ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester gentoo-dev Security 2021-03-21 00:19:06 UTC
Let's get parity with sys-devel/libtool, modulo Prefix for now.

Upstream have said it's extremely portable, so we shouldn't have any problems.
Comment 1 Alessandro Barbieri 2021-03-21 00:59:48 UTC
current release doesn't have all the fixes while the last snaphot has some
Comment 2 Sergei Trofimovich (RETIRED) gentoo-dev 2021-03-21 10:22:55 UTC
~ia64 keyworded
Comment 3 Sergei Trofimovich (RETIRED) gentoo-dev 2021-03-21 10:24:03 UTC
(In reply to Alessandro Barbieri from comment #1)
> current release doesn't have all the fixes while the last snaphot has some

It's a very vague statement. Is it a reason to block keywording? If not please file a separate bug.
Comment 4 Rolf Eike Beer archtester 2021-03-21 15:38:56 UTC
~sparc added
Comment 5 Lars Wendler (Polynomial-C) gentoo-dev 2021-03-21 15:49:11 UTC
(In reply to Sergei Trofimovich from comment #3)
> (In reply to Alessandro Barbieri from comment #1)
> > current release doesn't have all the fixes while the last snaphot has some
> 
> It's a very vague statement. Is it a reason to block keywording? If not
> please file a separate bug.

Well, I didn't really think about it earlier but Alessandro is right. The current available latest release is broken in several ways. The most prominent issue is

   https://dev.midipix.org/cross/slibtool/issue/26

which installs libs without necessary symlinks when both -release and -version-info are used.

Upstream said that it will roll a new release in the next couple of days and I suggest to postpone keywording for slibtool until this new release is available.
Comment 6 Sam James archtester gentoo-dev Security 2021-03-22 00:16:18 UTC
I'm honestly not that worried about it. Upstream were planning to release it yesterday (Sunday) but it might be a few days late.

The package doesn't have any test suite so if we hit build failures, we'll just analyse them and possibly wait until the new version comes out before worrying. The issues are all runtime rather than anything build time AFAIK.

But we can wait if you prefer, I don't mind either way.
Comment 7 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2021-03-22 07:24:08 UTC
Blocking keywording doesn't make sense.  For stabilization -- sure, for keywording the new version will inherit keywords anyway.
Comment 8 Sam James archtester gentoo-dev Security 2021-03-22 07:37:46 UTC
(In reply to Michał Górny from comment #7)
> Blocking keywording doesn't make sense.  For stabilization -- sure, for
> keywording the new version will inherit keywords anyway.

They're adding a bunch of new code so if it's a matter of a few days, I don't _mind_ waiting so that at least all of that gets build tested. But yes, in principle, I agree.
Comment 9 Larry the Git Cow gentoo-dev 2021-03-22 09:23:42 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4d13aeea9eda98aa6e646cc703ba018c6c46134a

commit 4d13aeea9eda98aa6e646cc703ba018c6c46134a
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-03-22 09:18:03 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-03-22 09:22:40 +0000

    sys-devel/slibtool: add 0.5.32
    
    Bug: https://bugs.gentoo.org/777435
    Signed-off-by: Sam James <sam@gentoo.org>

 sys-devel/slibtool/Manifest               |  1 +
 sys-devel/slibtool/slibtool-0.5.32.ebuild | 22 ++++++++++++++++++++++
 sys-devel/slibtool/slibtool-9999.ebuild   | 11 ++++++-----
 3 files changed, 29 insertions(+), 5 deletions(-)
Comment 10 Larry the Git Cow gentoo-dev 2021-03-28 15:41:14 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6208516f95a6c4225c96c981fe833c5e7cc59440

commit 6208516f95a6c4225c96c981fe833c5e7cc59440
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-03-28 15:31:58 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-03-28 15:32:45 +0000

    sys-devel/slibtool: restore ~hppa ~ppc ~ppc64
    
    Bug: https://bugs.gentoo.org/777435
    Signed-off-by: Sam James <sam@gentoo.org>

 sys-devel/slibtool/slibtool-0.5.32.ebuild | 2 +-
 sys-devel/slibtool/slibtool-9999.ebuild   | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)
Comment 11 Thomas Deutschmann gentoo-dev Security 2021-04-01 12:20:18 UTC
x86 keyworded
Comment 12 Sam James archtester gentoo-dev Security 2021-04-25 05:19:42 UTC
arm64 done
Comment 13 Marek Szuba archtester gentoo-dev 2021-06-25 17:25:40 UTC
riscv done
Comment 14 Matt Turner gentoo-dev 2021-07-25 03:36:18 UTC
alpha done
Comment 15 Larry the Git Cow gentoo-dev 2021-07-31 22:49:48 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6b04b1b76282e2ff00762239ad122467c5517e34

commit 6b04b1b76282e2ff00762239ad122467c5517e34
Author:     Joshua Kinard <kumba@gentoo.org>
AuthorDate: 2021-07-31 22:49:23 +0000
Commit:     Joshua Kinard <kumba@gentoo.org>
CommitDate: 2021-07-31 22:49:39 +0000

    sys-devel/slibtool: Added ~mips to KEYWORDS
    
    Bug: https://bugs.gentoo.org/777435
    Signed-off-by: Joshua Kinard <kumba@gentoo.org>
    Package-Manager: Portage-3.0.20, Repoman-3.0.3

 sys-devel/slibtool/slibtool-0.5.34.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 16 Sam James archtester gentoo-dev Security 2021-09-06 18:01:24 UTC
s390 done
Comment 17 Larry the Git Cow gentoo-dev 2021-09-21 12:40:48 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4d9113070363de3487f480e16ada9857b1aa184c

commit 4d9113070363de3487f480e16ada9857b1aa184c
Author:     James Le Cuirot <chewi@gentoo.org>
AuthorDate: 2021-09-21 12:40:12 +0000
Commit:     James Le Cuirot <chewi@gentoo.org>
CommitDate: 2021-09-21 12:40:36 +0000

    sys-devel/slibtool: Keyword 0.5.34 for ~m68k
    
    Closes: https://bugs.gentoo.org/777435
    Signed-off-by: James Le Cuirot <chewi@gentoo.org>

 sys-devel/slibtool/slibtool-0.5.34.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)